From 4d3e85dd0b90c48a7ff526e372d541785c039eb0 Mon Sep 17 00:00:00 2001
From: Peter Geoghegan <pg@bowt.ie>
Date: Wed, 12 Jun 2024 16:51:35 -0400
Subject: [PATCH] Fixup pg_bsd_indent inconsistencies.

---
 src/tools/pg_bsd_indent/args.c   | 2 +-
 src/tools/pg_bsd_indent/indent.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/tools/pg_bsd_indent/args.c b/src/tools/pg_bsd_indent/args.c
index 38eaa5a5b..5fa7e6b03 100644
--- a/src/tools/pg_bsd_indent/args.c
+++ b/src/tools/pg_bsd_indent/args.c
@@ -68,7 +68,7 @@ static char sccsid[] = "@(#)args.c	8.1 (Berkeley) 6/6/93";
 #define	STDIN		3	/* use stdin */
 #define	KEY		4	/* type (keyword) */
 
-static void scan_profile(FILE *);
+static void scan_profile(FILE *f);
 
 #define	KEY_FILE		5	/* only used for args */
 #define VERSION			6	/* only used for args */
diff --git a/src/tools/pg_bsd_indent/indent.c b/src/tools/pg_bsd_indent/indent.c
index 923fc34b8..2622cc622 100644
--- a/src/tools/pg_bsd_indent/indent.c
+++ b/src/tools/pg_bsd_indent/indent.c
@@ -54,7 +54,7 @@ static char sccsid[] = "@(#)indent.c	5.17 (Berkeley) 6/7/93";
 #include "indent.h"
 
 static void bakcopy(void);
-static void indent_declaration(int, int);
+static void indent_declaration(int cur_dec_ind, int tabs_to_var);
 
 const char *in_name = "Standard Input";	/* will always point to name of input
 					 * file */
-- 
2.45.1

